#sediment d13C vs larval d13C linear regression for chironomids found at all lakes and sites


#set working directory
setwd("/Users/child/Google Drive/Grad School/Methane Manuscript/Freshwater Science/sediment")
dir()

#import data
c_data<-read.csv("sediment.csv",header=TRUE,na.string=c("","NA","-","na",",DL"))

#linear regression
j<-lm(formula=c_data$sed_d13C~c_data$d13C)
summary(j)

#load ggplot library
library(ggplot2)
#activate quartz
quartz(h=6,w=10)
#plot graph
ggplot(c_data,aes(x=sed_d13C,y=d13C))+
geom_point()+
#add regression line
stat_smooth(method=lm,se=FALSE,colour="black",size=1)+
#set x axis labels
	xlab(expression(paste("Sediment organic matter ",delta^{13},"C (\u2030)")))+
	#set limits and breaks on yaxis
scale_x_continuous(limits=c(-33,-18),breaks=c(-30,-25,-20))+	
scale_y_continuous(limits=c(-57,-20),breaks=c(-55,-50,-45,-40,-35,-30,-25,-20))+
#set y axis labels
	ylab(expression(paste("Chironomid larval ",delta^{13},"C (\u2030)")))+
#add 1:1 relationship
geom_abline(intercept=0,slope=1,color="black",size=2)+
#format text-can switch grey to bw for black and white
	theme_bw(base_size=20,base_family="Helvetica")+
#hide the gridlines
	theme(panel.grid.major=element_blank(),
		  panel.grid.minor=element_blank())+
#get rid of border
	theme(panel.border=element_blank())+
#put the axes back on
	theme(axis.line=element_line())

	
ggsave("Figure5.2.tiff",width=10,height=6,dpi=300)

#end code results below




Call:
lm(formula = c_data$sed_d13C ~ c_data$d13C)

Residuals:
    Min      1Q  Median      3Q     Max 
-5.2953 -1.7689 -0.1081  2.0560  7.1193 

Coefficients:
             Estimate Std. Error t value Pr(>|t|)    
(Intercept) -13.31563    1.04803  -12.71   <2e-16 ***
c_data$d13C   0.37612    0.02709   13.88   <2e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

Residual standard error: 2.302 on 297 degrees of freedom
  (2 observations deleted due to missingness)
Multiple R-squared:  0.3936,	Adjusted R-squared:  0.3915 
F-statistic: 192.8 on 1 and 297 DF,  p-value: < 2.2e-16